package HFile::HFile_actionscript;

###############################
#
# Beautifier Perl HFile
# Language: Actionscript
# HFile by Sean Voisen (sean@voisen.org)
# Copyright  2003.
# Keyword list provided by Philip Carlson, Jr.
#
###############################

use Beautifier::HFile;
@ISA = qw(HFile);
sub new
{
	my( $class ) = @_;
	my $self = {};
	bless $self, $class;

	# Flags:
	$self->{nocase}         	= "0";
	$self->{notrim}         	= "0";
	$self->{perl}           	= "0";
	$self->{indent}         	= ["{"];
	$self->{unindent}       	= ["}"];
	$self->{stringchars}    	= ["\"", "\'"];
	$self->{delimiters}     	= [".", "~", "!", "%", "^", "&", "*", "(", ")", "-", "+", "=", "|", "\\", "/", "{", "}", "[", "]", ":", ";", "\"", "\'", "<", ">", " ", ",", "	", "?"];
	$self->{escchar}        	= "\\";
	$self->{linecommenton}  	= ["//"];
	$self->{blockcommenton} 	= ["/*"];
	$self->{blockcommentoff}	= ["*/"];
	$self->{keywords}       	= {
					#[Preprocessor keywords]
					"#endinitclip" => "1",
					"#include" => "1",
					"#initclip" => "1",

					#[Keywords 1]
					"add" => "1",
					"and" => "1",
					"arguments" => "1",
					"ASClamp" => "1",
					"ASClamp2" => "1",
					"ASConstructor" => "1",
					"asfunction" => "1",
					"ASInstanceOf" => "1",
					"ASNative" => "1",
					"ASNew" => "1",
					"ASSetNative" => "1",
					"ASSetPropFlags" => "1",
					"break" => "1",
					"call" => "1",
					"callee" => "1",
					"case" => "1",
					"chr" => "1",
					"clearInterval" => "1",
					"continue" => "1",
					"constructor" => "1",
					"dashBoardSave" => "1",
					"data" => "1",
					"default" => "1",
					"delete" => "1",
					"do" => "1",
					"dragOver" => "1",
					"dragOut" => "1",
					"duplicateMovieClip" => "1",
					"else" => "1",
					"enterFrame" => "1",
					"eq" => "1",
					"escape" => "1",
					"eval" => "1",
					"evaluate" => "1",
					"false" => "1",
					"for" => "1",
					"fscommand" => "1",
					"function" => "1",
					"ge" => "1",
					"getProperty" => "1",
					"getTimer" => "1",
					"getURL" => "1",
					"getVersion" => "1",
					"globalStyleFormat" => "1",
					"gotoAndPlay" => "1",
					"gotoAndStop" => "1",
					"gt" => "1",
					"if" => "1",
					"ifFrameLoaded" => "1",
					"in" => "1",
					"infinity" => "1",
					"instanceof" => "1",
					"int" => "1",
					"isFinite" => "1",
					"isNaN" => "1",
					"keyDown" => "1",
					"keyPress" => "1",
					"keyUp" => "1",
					"label" => "1",
					"le" => "1",
					"length" => "1",
					"load" => "1",
					"loadMovie" => "1",
					"loadMovieNum" => "1",
					"loadVariables" => "1",
					"loadVariablesNum" => "1",
					"lt" => "1",
					"maxscroll" => "1",
					"mbchr" => "1",
					"mblength" => "1",
					"mbord" => "1",
					"mbsubstring" => "1",
					"method" => "1",
					"MMSave" => "1",
					"mouseDown" => "1",
					"mouseMove" => "1",
					"mouseUp" => "1",
					"NaN" => "1",
					"ne" => "1",
					"new" => "1",
					"newline" => "1",
					"nextFrame" => "1",
					"nextScene" => "1",
					"not" => "1",
					"null" => "1",
					"on" => "1",
					"onClipEvent" => "1",
					"or" => "1",
					"ord" => "1",
					"parseFloat" => "1",
					"parseInt" => "1",
					"play" => "1",
					"press" => "1",
					"prevFrame" => "1",
					"prevScene" => "1",
					"print" => "1",
					"printAsBitmap" => "1",
					"printAsBitmapNum" => "1",
					"printNum" => "1",
					"prototype" => "1",
					"release" => "1",
					"releaseOutside" => "1",
					"rollOver" => "1",
					"rollOut" => "1",
					"random" => "1",
					"removeMovieClip" => "1",
					"return" => "1",
					"scroll" => "1",
					"set" => "1",
					"setInterval" => "1",
					"setProperty" => "1",
					"startDrag" => "1",
					"stop" => "1",
					"stopAllSounds" => "1",
					"stopDrag" => "1",
					"substring" => "1",
					"super" => "1",
					"switch" => "1",
					"targetPath" => "1",
					"tellTarget" => "1",
					"this" => "1",
					"toggleHighQuality" => "1",
					"trace" => "1",
					"true" => "1",
					"typeof" => "1",
					"undefined" => "1",
					"unescape" => "1",
					"unload" => "1",
					"unloadMovie" => "1",
					"unloadMovieNum" => "1",
					"updateAfterEvent" => "1",
					"var" => "1",
					"void" => "1",
					"while" => "1",
					"with" => "1",

					#[Keywords 2]
					"Accessibility" => "2",
					"isActive" => "2",
					"SendEvent" => "2",
					"arguments" => "2",
					"callee" => "2",
					"caller" => "2",
					"length" => "2",
					"Application" => "2",
					"acceptConnection" => "2",
					"clearSharedObjects" => "2",
					"clearStreams" => "2",
					"clients" => "2",
					"disconnect" => "2",
					"name" => "2",
					"onAppStart" => "2",
					"onAppStop" => "2",
					"onConnect" => "2",
					"onDisconnect" => "2",
					"onStatus" => "2",
					"registerClass" => "2",
					"registerProxy" => "2",
					"rejectConnection" => "2",
					"server" => "2",
					"Array" => "2",
					"concat" => "2",
					"join" => "2",
					"length" => "2",
					"pop" => "2",
					"push" => "2",
					"qsort" => "2",
					"reverse" => "2",
					"shift" => "2",
					"slice" => "2",
					"sort" => "2",
					"sortOn" => "2",
					"splice" => "2",
					"toString" => "2",
					"unshift" => "2",
					"ASBroadcaster" => "2",
					"addListener" => "2",
					"broadcastMessage" => "2",
					"initialize" => "2",
					"removeListener" => "2",
					"Boolean" => "2",
					"toString" => "2",
					"valueOf" => "2",
					"Button" => "2",
					"enabled" => "2",
					"getDepth" => "2",
					"onDragOut" => "2",
					"onDragOver" => "2",
					"onKeyUp" => "2",
					"onKillFocus" => "2",
					"onPress" => "2",
					"onRelease" => "2",
					"onReleaseOutside" => "2",
					"onRollOut" => "2",
					"onRollOver" => "2",
					"onSetFocus" => "2",
					"tabEnabled" => "2",
					"tabIndex" => "2",
					"trackAsMenu" => "2",
					"useHandCursor" => "2",
					"Camera" => "2",
					"activityLevel" => "2",
					"bandwidth" => "2",
					"currentFps" => "2",
					"fps" => "2",
					"get" => "2",
					"height" => "2",
					"index" => "2",
					"keyFrameInterval" => "2",
					"loopback" => "2",
					"motionLevel" => "2",
					"motionTimeOut" => "2",
					"muted" => "2",
					"name" => "2",
					"names" => "2",
					"onActivity" => "2",
					"onStatus" => "2",
					"quality" => "2",
					"setKeyFrameInterval" => "2",
					"setLoopback" => "2",
					"setMode" => "2",
					"setMotionLevel" => "2",
					"setQuality" => "2",
					"width" => "2",
					"Client" => "2",
					"agent" => "2",
					"call" => "2",
					"getBandwidthLimit" => "2",
					"ip" => "2",
					"readAccess" => "2",
					"referrer" => "2",
					"__resolve" => "2",
					"setBandwidthLimit" => "2",
					"writeAccess" => "2",
					"Color" => "2",
					"getRGB" => "2",
					"getTransform" => "2",
					"setRGB" => "2",
					"setTransform" => "2",
					"Cookie" => "2",
					"getCookie" => "2",
					"setCookie" => "2",
					"CustomActions" => "2",
					"apply" => "2",
					"get" => "2",
					"install" => "2",
					"isPropertyEnumerable" => "2",
					"isPrototypeOf" => "2",
					"list" => "2",
					"proto" => "2",
					"registerClass" => "2",
					"toLocaleString" => "2",
					"uninstall" => "2",
					"DataGlue" => "2",
					"bindFormatStrings" => "2",
					"bindFormatFunction" => "2",
					"Date" => "2",
					"getDate" => "2",
					"getDay" => "2",
					"getFullYear" => "2",
					"getHours" => "2",
					"getMilliseconds" => "2",
					"getMinutes" => "2",
					"getMonth" => "2",
					"getSeconds" => "2",
					"getTime" => "2",
					"getTimezoneOffset" => "2",
					"getUTCDate" => "2",
					"getUTCDay" => "2",
					"getUTCFullYear" => "2",
					"getUTCHours" => "2",
					"getUTCMilliseconds" => "2",
					"getUTCMinutes" => "2",
					"getUTCMonth" => "2",
					"getUTCSeconds" => "2",
					"getYear" => "2",
					"setDate" => "2",
					"setFullYear" => "2",
					"setHours" => "2",
					"setMilliseconds" => "2",
					"setMinutes" => "2",
					"setMonth" => "2",
					"setSeconds" => "2",
					"setTime" => "2",
					"setUTCDate" => "2",
					"setUTCFullYear" => "2",
					"setUTCHours" => "2",
					"setUTCMilliseconds" => "2",
					"setUTCMinutes" => "2",
					"setUTCMonth" => "2",
					"setUTCSeconds" => "2",
					"setYear" => "2",
					"toString" => "2",
					"UTC" => "2",
					"FAdvancedMessageBox" => "2",
					"addIcon" => "2",
					"clearTimeout" => "2",
					"getActivateHandler" => "2",
					"getActiveState" => "2",
					"getButtons" => "2",
					"getButtonWidth" => "2",
					"getCloseHandler" => "2",
					"getEnabled" => "2",
					"getHeight" => "2",
					"getIcon" => "2",
					"getMessage" => "2",
					"getScrollbarState" => "2",
					"getSize" => "2",
					"getTimeoutHandler" => "2",
					"getTimeoutState" => "2",
					"getTitle" => "2",
					"getTitlebarHeight" => "2",
					"getWidth" => "2",
					"registerSkinElement" => "2",
					"setActivateHandler" => "2",
					"setActiveState" => "2",
					"setButtons" => "2",
					"setButtonWidth" => "2",
					"setCloseHandler" => "2",
					"setEnabled" => "2",
					"setIcon" => "2",
					"setMessage" => "2",
					"setScrollbarState" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setTimeout" => "2",
					"setTimeoutHandler" => "2",
					"setTitle" => "2",
					"setTitlebarHeight" => "2",
					"FBarChart" => "2",
					"addItem" => "2",
					"addItemAt" => "2",
					"getChartTitle" => "2",
					"getEnabled" => "2",
					"getItemAt" => "2",
					"getLabelSource" => "2",
					"getLength" => "2",
					"getValueSource" => "2",
					"getXAxisTitle" => "2",
					"getYAxisTitle" => "2",
					"removeAll" => "2",
					"removeItemAt" => "2",
					"setChartEventHandler" => "2",
					"setChartTitle" => "2",
					"setDataProvider" => "2",
					"setEnabled" => "2",
					"setLabelSource" => "2",
					"setSize" => "2",
					"setValueSource" => "2",
					"setXAxisTitle" => "2",
					"setYAxisTitle" => "2",
					"sortItemsBy" => "2",
					"FCalendar" => "2",
					"getDayOfWeekNames" => "2",
					"getDisplayedMonth" => "2",
					"getDisplayRange" => "2",
					"getEnabled" => "2",
					"getFirstDayOfWeek" => "2",
					"getMonthNames" => "2",
					"getSelectedItem" => "2",
					"getSelectedItems" => "2",
					"getSelectionRequired" => "2",
					"getSelectionType" => "2",
					"getShowAsDisabled" => "2",
					"registerSkinElement" => "2",
					"setChangeHandler" => "2",
					"setDateFilter" => "2",
					"setDayOfWeekNames" => "2",
					"setDisplayedMonth" => "2",
					"setDisplayRange" => "2",
					"setEnabled" => "2",
					"setFirstDayOfWeek" => "2",
					"setMonthNames" => "2",
					"setSelectedItem" => "2",
					"setSelectedItems" => "2",
					"setSelectionRequired" => "2",
					"setSelectionType" => "2",
					"setShowAsDisabled" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"FCheckbox" => "2",
					"getEnabled" => "2",
					"getLabel" => "2",
					"getValue" => "2",
					"registerSkinElement" => "2",
					"setChangeHandler" => "2",
					"setEnabled" => "2",
					"setLabel" => "2",
					"setLabelPlacement" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setValue" => "2",
					"FComboBox" => "2",
					"addItem" => "2",
					"addItemAt" => "2",
					"getEnabled" => "2",
					"getItemAt" => "2",
					"getLength" => "2",
					"getRowCount" => "2",
					"getScrollPosition" => "2",
					"getSelectedIndex" => "2",
					"getSelectedItem" => "2",
					"getValue" => "2",
					"registerSkinElement" => "2",
					"removeAll" => "2",
					"removeItemAt" => "2",
					"replaceItemAt" => "2",
					"setChangeHandler" => "2",
					"setDataProvider" => "2",
					"setEditable" => "2",
					"setEnabled" => "2",
					"setItemSymbol" => "2",
					"setRowCount" => "2",
					"setSelectedIndex" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setValue" => "2",
					"sortItemsBy" => "2",
					"FDataGrid" => "2",
					"addColumn" => "2",
					"addColumnAt" => "2",
					"addItem" => "2",
					"addItemAt" => "2",
					"alternateRowColors" => "2",
					"getColumnAt" => "2",
					"getColumnCount" => "2",
					"getColumnIndex" => "2",
					"getEnabled" => "2",
					"getItemAt" => "2",
					"getLength" => "2",
					"getOriginalCellData" => "2",
					"getRowCount" => "2",
					"getScrollPosition" => "2",
					"getSelectedCell" => "2",
					"getSelectedIndex" => "2",
					"getSelectedIndices" => "2",
					"getSelectedItem" => "2",
					"getSelectedItems" => "2",
					"removeAllColumns" => "2",
					"removeAllItems" => "2",
					"removeColumnAt" => "2",
					"removeItemAt" => "2",
					"replaceItemAt" => "2",
					"setCellData" => "2",
					"setChangeHandler" => "2",
					"setColumns" => "2",
					"setDataProvider" => "2",
					"setEditable" => "2",
					"setEditHandler" => "2",
					"setEnabled" => "2",
					"setResizableColumns" => "2",
					"setRowCount" => "2",
					"setRowHeight" => "2",
					"setScrollPosition" => "2",
					"setSelectable" => "2",
					"setSelectedCell" => "2",
					"setSelectedIndex" => "2",
					"setSelectedIndices" => "2",
					"setSelectMultiple" => "2",
					"setSize" => "2",
					"setSortableColumns" => "2",
					"setVScroll" => "2",
					"showBorder" => "2",
					"showColumnHeaders" => "2",
					"showGridLines" => "2",
					"sort" => "2",
					"sortItemsBy" => "2",
					"spaceColumnsEqually" => "2",
					"FDraggablePane" => "2",
					"closePane" => "2",
					"disableCloseBox" => "2",
					"disableShader" => "2",
					"enableCloseBox" => "2",
					"enableShader" => "2",
					"getEnabled" => "2",
					"getHasCloseBox" => "2",
					"getHasShader" => "2",
					"getPaneMaximums" => "2",
					"getPaneMinimums" => "2",
					"getPaneTitle" => "2",
					"getResizable" => "2",
					"getScrollContent" => "2",
					"getScrolling" => "2",
					"getScrollPosition" => "2",
					"getTitlebarHeight" => "2",
					"loadScrollContent" => "2",
					"refreshScrollContent" => "2",
					"registerSkinElement" => "2",
					"restorePane" => "2",
					"setCloseHandler" => "2",
					"setContentSize" => "2",
					"setDragContent" => "2",
					"setEnabled" => "2",
					"setHasCloseBox" => "2",
					"setHasShader" => "2",
					"setPaneMaximumSize" => "2",
					"setPaneMinimumSize" => "2",
					"setPaneSize" => "2",
					"setPaneTitle" => "2",
					"setResizable" => "2",
					"setScrollContent" => "2",
					"setScrolling" => "2",
					"setScrollPosition" => "2",
					"setStyleProperty" => "2",
					"setTitleBarHeight" => "2",
					"shadePane" => "2",
					"FIconButton" => "2",
					"getBackground" => "2",
					"getEnabled" => "2",
					"getIcon" => "2",
					"getLabel" => "2",
					"getToggle" => "2",
					"getValue" => "2",
					"registerSkinElement" => "2",
					"removeBackground" => "2",
					"setBackground" => "2",
					"setChangeHandler" => "2",
					"setEnabled" => "2",
					"setIcon" => "2",
					"setLabel" => "2",
					"setLabelPlacement" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setToggle" => "2",
					"setValue" => "2",
					"FGridColumn" => "2",
					"getHeader" => "2",
					"getWidth" => "2",
					"setCellSymbol" => "2",
					"setEditable" => "2",
					"setHeader" => "2",
					"setHeaderSymbol" => "2",
					"setResizable" => "2",
					"setSortable" => "2",
					"setSortFunction" => "2",
					"setWidth" => "2",
					"FLineChart" => "2",
					"addItem" => "2",
					"addItemAt" => "2",
					"getChartTitle" => "2",
					"getEnabled" => "2",
					"getHighlights" => "2",
					"getItemAt" => "2",
					"getLabelSource" => "2",
					"getLength" => "2",
					"getLineColor" => "2",
					"getLineWeight" => "2",
					"getValueSource" => "2",
					"getXAxisTitle" => "2",
					"getYAxisTitle" => "2",
					"removeAll" => "2",
					"removeItemAt" => "2",
					"setChartEventHandler" => "2",
					"setChartTitle" => "2",
					"setDataProvider" => "2",
					"setEnabled" => "2",
					"setHighlights" => "2",
					"setLabelSource" => "2",
					"setLineColor" => "2",
					"setLineWeight" => "2",
					"setSize" => "2",
					"setValueSource" => "2",
					"setXAxisTitle" => "2",
					"setYAxisTitle" => "2",
					"sortItemsBy" => "2",
					"FListBox" => "2",
					"addItem" => "2",
					"addItemAt" => "2",
					"getEnabled" => "2",
					"getItemAt" => "2",
					"getLength" => "2",
					"getRowCount" => "2",
					"getScrollPosition" => "2",
					"getSelectedIndex" => "2",
					"getSelectedIndices" => "2",
					"getSelectedItem" => "2",
					"getSelectedItems" => "2",
					"getSelectMultiple" => "2",
					"getValue" => "2",
					"registerSkinElement" => "2",
					"removeAll" => "2",
					"removeItemAt" => "2",
					"replaceItemAt" => "2",
					"setAutoHideScrollBar" => "2",
					"setChangeHandler" => "2",
					"setDataProvider" => "2",
					"setEnabled" => "2",
					"setItemSymbol" => "2",
					"setRowCount" => "2",
					"setScrollPosition" => "2",
					"setSelectedIndex" => "2",
					"setSelectedIndices" => "2",
					"setSelectMultiple" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setWidth" => "2",
					"sortItemsBy" => "2",
					"FLoadingBox" => "2",
					"addAnimation" => "2",
					"clearTimeout" => "2",
					"getActivateHandler" => "2",
					"getActiveState" => "2",
					"getActiveStateHandler" => "2",
					"getAnimation" => "2",
					"getButtons" => "2",
					"getButtonWidth" => "2",
					"getCloseHandler" => "2",
					"getEnabled" => "2",
					"getHeight" => "2",
					"getMessage" => "2",
					"getSize" => "2",
					"getTimeoutHandler" => "2",
					"getTimeoutState" => "2",
					"getWidth" => "2",
					"registerSkinElement" => "2",
					"restartAnimation" => "2",
					"setActivateHandler" => "2",
					"setActiveState" => "2",
					"setActiveStateHandler" => "2",
					"setAnimation" => "2",
					"setButtons" => "2",
					"setButtonWidth" => "2",
					"setCloseHandler" => "2",
					"setEnabled" => "2",
					"setMessage" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setTimeout" => "2",
					"setTimeoutHandler" => "2",
					"setTitle" => "2",
					"setTitlebarHeight" => "2",
					"startAnimation" => "2",
					"stopAnimation" => "2",
					"FMessageBox" => "2",
					"getButtons" => "2",
					"getButtonWidth" => "2",
					"getEnabled" => "2",
					"getIcon" => "2",
					"getMessage" => "2",
					"getTitle" => "2",
					"getTitleBarHeight" => "2",
					"registerSkinElement" => "2",
					"setActiveHandler" => "2",
					"setButtons" => "2",
					"setButtonWidth" => "2",
					"setCloseHandler" => "2",
					"setEnabled" => "2",
					"setIcon" => "2",
					"setMessage" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setTitle" => "2",
					"setTitleBarHeight" => "2",
					"FPieChart" => "2",
					"addItem" => "2",
					"addItemAt" => "2",
					"getChartTitle" => "2",
					"getEnabled" => "2",
					"getItemAt" => "2",
					"getLabelSource" => "2",
					"getLength" => "2",
					"getValueSource" => "2",
					"removeAll" => "2",
					"removeItemAt" => "2",
					"setChartEventHandler" => "2",
					"setChartTitle" => "2",
					"setDataProvider" => "2",
					"setEnabled" => "2",
					"setLabelSource" => "2",
					"setSize" => "2",
					"setValueSource" => "2",
					"sortItemsBy" => "2",
					"FProgressBar" => "2",
					"getLoadTarget" => "2",
					"getMaximum" => "2",
					"getMinimum" => "2",
					"getPercentComplete" => "2",
					"getValue" => "2",
					"registerSkinElement" => "2",
					"setChangeHandler" => "2",
					"setDisplayGraphics" => "2",
					"setDisplayText" => "2",
					"setLoadTarget" => "2",
					"setMaximum" => "2",
					"setMinimum" => "2",
					"setPercentComplete" => "2",
					"setProgress" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setValue" => "2",
					"FPromptBox" => "2",
					"addIcon" => "2",
					"getActivateHandler" => "2",
					"getActiveState" => "2",
					"getButtons" => "2",
					"getButtonWidth" => "2",
					"getCloseHandler" => "2",
					"getEnabled" => "2",
					"getHeight" => "2",
					"getIcon" => "2",
					"getMessage" => "2",
					"getSize" => "2",
					"getTitle" => "2",
					"getTitlebarHeight" => "2",
					"getUserInput" => "2",
					"getWidth" => "2",
					"registerSkinElement" => "2",
					"setActivateHandler" => "2",
					"setActiveState" => "2",
					"setButtons" => "2",
					"setButtonWidth" => "2",
					"setCloseHandler" => "2",
					"setEnabled" => "2",
					"setIcon" => "2",
					"setInputProperty" => "2",
					"setMessage" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setTitle" => "2",
					"setTitlebarHeight" => "2",
					"setUserInput" => "2",
					"updateInputProperties" => "2",
					"FPushButton" => "2",
					"getEnabled" => "2",
					"getLabel" => "2",
					"registerSkinElement" => "2",
					"setClickHandler" => "2",
					"setEnabled" => "2",
					"setLabel" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"FRadioButton" => "2",
					"getData" => "2",
					"getEnabled" => "2",
					"getLabel" => "2",
					"getState" => "2",
					"getValue" => "2",
					"registerSkinElement" => "2",
					"setChangeHandler" => "2",
					"setData" => "2",
					"setEnabled" => "2",
					"setGroupName" => "2",
					"setLabel" => "2",
					"setLabelPlacement" => "2",
					"setSize" => "2",
					"setState" => "2",
					"setStyleProperty" => "2",
					"setValue" => "2",
					"FScrollBar" => "2",
					"getEnabled" => "2",
					"getScrollPosition" => "2",
					"registerSkinElement" => "2",
					"setChangeHandler" => "2",
					"setEnabled" => "2",
					"setHorizontal" => "2",
					"setLargeScroll" => "2",
					"setScrollContent" => "2",
					"setScrollPosition" => "2",
					"setScrollProperties" => "2",
					"setScrollTarget" => "2",
					"setSize" => "2",
					"setSmallScroll" => "2",
					"setStyleProperty" => "2",
					"FScrollPane" => "2",
					"getPaneHeight" => "2",
					"getPaneWidth" => "2",
					"getScrollContent" => "2",
					"getScrollPosition" => "2",
					"loadScrollContent" => "2",
					"refreshPane" => "2",
					"registerSkinElement" => "2",
					"setDragContent" => "2",
					"setHScroll" => "2",
					"setScrollContent" => "2",
					"setScrollPosition" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setVScroll" => "2",
					"FSplitView" => "2",
					"getContent" => "2",
					"getOrientation" => "2",
					"getSplitterBarPosition" => "2",
					"setContent" => "2",
					"setOrientation" => "2",
					"setSize" => "2",
					"setSplitterBarPosition" => "2",
					"FStyleFormat" => "2",
					"addListener" => "2",
					"applyChanges" => "2",
					"arrow" => "2",
					"background" => "2",
					"backgroundDisabled" => "2",
					"check" => "2",
					"darkshadow" => "2",
					"face" => "2",
					"foregroundDisabled" => "2",
					"highlight" => "2",
					"highlight2D" => "2",
					"highlight3D" => "2",
					"radioDot" => "2",
					"removeListener" => "2",
					"scrollTrack" => "2",
					"selection" => "2",
					"selectionDisabled" => "2",
					"selectionUnfocused" => "2",
					"shadow" => "2",
					"textAlign" => "2",
					"textBold" => "2",
					"textColor" => "2",
					"textDisabled" => "2",
					"textFont" => "2",
					"textIndent" => "2",
					"textItalic" => "2",
					"textLeftMargin" => "2",
					"textRightMargin" => "2",
					"textSelected" => "2",
					"textSize" => "2",
					"textUnderline" => "2",
					"FTicker" => "2",
					"addItem" => "2",
					"addItemAt" => "2",
					"addListener" => "2",
					"getDataAllFormat" => "2",
					"getDataAllHeight" => "2",
					"getDataAllProperty" => "2",
					"getDataAllWidth" => "2",
					"getDataItemFormat" => "2",
					"getDataItemProperty" => "2",
					"getDataItemText" => "2",
					"getDataMapping" => "2",
					"getDataMappings" => "2",
					"getDirection" => "2",
					"getFrameColor" => "2",
					"getFrameWidth" => "2",
					"getHeaderFormat" => "2",
					"getHeaderHeight" => "2",
					"getHeaderLocation" => "2",
					"getHeaderProperty" => "2",
					"getHeaderText" => "2",
					"getHeaderWidth" => "2",
					"getHeight" => "2",
					"getHighlightColor" => "2",
					"getItemAt" => "2",
					"getItemID" => "2",
					"getLength" => "2",
					"getOrientation" => "2",
					"getScrollLocation" => "2",
					"getScrollSpeed" => "2",
					"getSmoothness" => "2",
					"getSpacing" => "2",
					"getStopOnFocus" => "2",
					"getWidth" => "2",
					"getX" => "2",
					"getY" => "2",
					"removeAll" => "2",
					"removeItemAt" => "2",
					"replaceItemAt" => "2",
					"setClickHandler" => "2",
					"setDataAllFormat" => "2",
					"setDataAllHeight" => "2",
					"setDataAllProperty" => "2",
					"setDataAllWidth" => "2",
					"setDataItemFormat" => "2",
					"setDataItemProperty" => "2",
					"setDataItemText" => "2",
					"setDataMapping" => "2",
					"setDataMappings" => "2",
					"setDataProvider" => "2",
					"setDefaultMappings" => "2",
					"setDirection" => "2",
					"setFrameColor" => "2",
					"setFrameWidth" => "2",
					"setHeaderFormat" => "2",
					"setHeaderHeight" => "2",
					"setHeaderLocation" => "2",
					"setHeaderProperty" => "2",
					"setHeaderText" => "2",
					"setHeaderWidth" => "2",
					"setHighlightColor" => "2",
					"setOrientation" => "2",
					"setScrollLocation" => "2",
					"setScrollSpeed" => "2",
					"setSize" => "2",
					"setSmoothness" => "2",
					"setSpacing" => "2",
					"setStopOnFocus" => "2",
					"setX" => "2",
					"setY" => "2",
					"sortItemsBy" => "2",
					"FTooltip" => "2",
					"getActiveState" => "2",
					"getAutoHeight" => "2",
					"getDelay" => "2",
					"getDisplayClip" => "2",
					"getDisplayMode" => "2",
					"getFadeInLength" => "2",
					"getFadeOutLength" => "2",
					"getMultilineMode" => "2",
					"getSize" => "2",
					"getTip" => "2",
					"getTipOffset" => "2",
					"getTipTarget" => "2",
					"getUseFade" => "2",
					"getUseHandCursor" => "2",
					"getUseShadow" => "2",
					"registerSkinElement" => "2",
					"setActiveState" => "2",
					"setAutoHeight" => "2",
					"setDelay" => "2",
					"setDisplayClip" => "2",
					"setDisplayMode" => "2",
					"setFadeInLength" => "2",
					"setFadeOutLength" => "2",
					"setMultilineMode" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setTip" => "2",
					"setTipOffset" => "2",
					"setTipTarget" => "2",
					"setUseFade" => "2",
					"setUseHandCursor" => "2",
					"setUseShadow" => "2",
					"FTooltipLite" => "2",
					"getActiveState" => "2",
					"getDelay" => "2",
					"getTip" => "2",
					"getUseHandCursor" => "2",
					"registerSkinElement" => "2",
					"setActiveState" => "2",
					"setDelay" => "2",
					"setTip" => "2",
					"setUseHandCursor" => "2",
					"FTree" => "2",
					"addNode" => "2",
					"addNodeAt" => "2",
					"getAutoHideScrollBar" => "2",
					"getDefaultNodeIconSymbolName" => "2",
					"getDrawConnectors" => "2",
					"getEnabled" => "2",
					"getExpanderSymbolName" => "2",
					"getExandNodeTrigger" => "2",
					"getFirstVisibleNode" => "2",
					"getNodeAt" => "2",
					"getRootNode" => "2",
					"getRowCount" => "2",
					"getSelectedNode" => "2",
					"getSelectedNodes" => "2",
					"getSelectStyle" => "2",
					"getTreeLength" => "2",
					"getWidth" => "2",
					"refresh" => "2",
					"registerSkinElement" => "2",
					"removeAll" => "2",
					"removeNode" => "2",
					"removeNodeAt" => "2",
					"setAutoHideScrollBar" => "2",
					"setChangeHandler" => "2",
					"setDataProvider" => "2",
					"setDefaultNodeIconSymbolName" => "2",
					"setDrawConnectors" => "2",
					"setEnabled" => "2",
					"setExpanderSymbolName" => "2",
					"setExpandNodeTrigger" => "2",
					"setFirstVisibleNode" => "2",
					"setNodeExpansionHandler" => "2",
					"setRootNode" => "2",
					"setRowCount" => "2",
					"setSelectedNode" => "2",
					"setSelectedNodes" => "2",
					"setSelectStyle" => "2",
					"setSize" => "2",
					"setStyleProperty" => "2",
					"setWidth" => "2",
					"FTreeNode" => "2",
					"addNode" => "2",
					"addNodeAt" => "2",
					"getChildNodes" => "2",
					"getData" => "2",
					"getIconSymbolName" => "2",
					"getLabel" => "2",
					"getNumChildren" => "2",
					"getParentNode" => "2",
					"isBranch" => "2",
					"isOpen" => "2",
					"removeNodeAt" => "2",
					"removeNodesAt" => "2",
					"setChildNodes" => "2",
					"setData" => "2",
					"setDataProvider" => "2",
					"setIconSymbolName" => "2",
					"setIsBranch" => "2",
					"setIsOpen" => "2",
					"setLabel" => "2",
					"setNodeProperties " => "2",
					"Function" => "2",
					"apply" => "2",
					"call" => "2",
					"prototype" => "2",
					"Key" => "2",
					"addListener" => "2",
					"BACKSPACE" => "2",
					"broadcastMessage" => "2",
					"CAPSLOCK" => "2",
					"CONTROL" => "2",
					"DELETEKEY" => "2",
					"DOWN" => "2",
					"END" => "2",
					"ENTER" => "2",
					"ESCAPE" => "2",
					"getAscii" => "2",
					"getCode" => "2",
					"HOME" => "2",
					"INSERT" => "2",
					"isDown" => "2",
					"isToggled" => "2",
					"LEFT" => "2",
					"onKeyDown" => "2",
					"onKeyUp" => "2",
					"PGDN" => "2",
					"PGUP" => "2",
					"removeListener" => "2",
					"RIGHT" => "2",
					"SHIFT" => "2",
					"SPACE" => "2",
					"TAB" => "2",
					"UP" => "2",
					"LoadVars" => "2",
					"contentType" => "2",
					"decode" => "2",
					"getBytesLoaded" => "2",
					"getBytesTotal" => "2",
					"load" => "2",
					"loaded" => "2",
					"onData" => "2",
					"onLoad" => "2",
					"send" => "2",
					"sendAndLoad" => "2",
					"toString" => "2",
					"LocalConnection" => "2",
					"allowDomain" => "2",
					"close" => "2",
					"connect" => "2",
					"domain" => "2",
					"send" => "2",
					"Math" => "2",
					"abs" => "2",
					"acos" => "2",
					"asin" => "2",
					"atan" => "2",
					"atan2" => "2",
					"ceil" => "2",
					"cos" => "2",
					"E" => "2",
					"exp" => "2",
					"floor" => "2",
					"log" => "2",
					"LOG2E" => "2",
					"LOG10E" => "2",
					"LN2" => "2",
					"LN10" => "2",
					"max" => "2",
					"min" => "2",
					"PI" => "2",
					"pow" => "2",
					"random" => "2",
					"round" => "2",
					"sin" => "2",
					"sqrt" => "2",
					"SQRT1_2" => "2",
					"SQRT2" => "2",
					"tan" => "2",
					"Microphone" => "2",
					"activityLevel" => "2",
					"gain" => "2",
					"get" => "2",
					"index" => "2",
					"muted" => "2",
					"name" => "2",
					"names" => "2",
					"onActivity" => "2",
					"onStatus" => "2",
					"rate" => "2",
					"setGain" => "2",
					"setRate" => "2",
					"setSilenceLevel" => "2",
					"setUseEchoSuppression" => "2",
					"silenceLevel" => "2",
					"silenceTimeOut" => "2",
					"useEchoSuppression" => "2",
					"Mouse" => "2",
					"addListener" => "2",
					"broadcastMessage" => "2",
					"hide" => "2",
					"onMouseDown" => "2",
					"onMouseMove" => "2",
					"onMouseUp" => "2",
					"removeListener" => "2",
					"show" => "2",
					"MovieClip" => "2",
					"attachAudio" => "2",
					"attachMovie" => "2",
					"attachVideo" => "2",
					"beginFill" => "2",
					"beginGradientFill" => "2",
					"clear" => "2",
					"createEmptyMovieClip" => "2",
					"createTextField" => "2",
					"curveTo" => "2",
					"duplicateMovieClip" => "2",
					"enabled" => "2",
					"endFill" => "2",
					"focusEnabled" => "2",
					"getBounds" => "2",
					"getBytesLoaded" => "2",
					"getBytesTotal" => "2",
					"getDepth" => "2",
					"getURL" => "2",
					"globalToLocal" => "2",
					"gotoAndPlay" => "2",
					"gotoAndStop" => "2",
					"hitArea" => "2",
					"hitTest" => "2",
					"lineStyle" => "2",
					"lineTo" => "2",
					"loadMovie" => "2",
					"loadVariables" => "2",
					"localToGlobal" => "2",
					"meth" => "2",
					"moveTo" => "2",
					"nextFrame" => "2",
					"onData" => "2",
					"onDragOut" => "2",
					"onDragOver" => "2",
					"onEnterFrame" => "2",
					"onKeyDown" => "2",
					"onKeyUp" => "2",
					"onKillFocus" => "2",
					"onLoad" => "2",
					"onMouseDown" => "2",
					"onMouseMove" => "2",
					"onMouseUp" => "2",
					"onPress" => "2",
					"onRelease" => "2",
					"onRelaseOutside" => "2",
					"onRollOut" => "2",
					"onRollOver" => "2",
					"onSetFocus" => "2",
					"onUnload" => "2",
					"play" => "2",
					"prevFrame" => "2",
					"removeMovieClip" => "2",
					"setMask" => "2",
					"startDrag" => "2",
					"stop" => "2",
					"stopDrag" => "2",
					"swapDepths" => "2",
					"tabChildren" => "2",
					"tabEnabled" => "2",
					"tabIndex" => "2",
					"trackAsMenu" => "2",
					"unloadMovie" => "2",
					"useHandCursor" => "2",
					"NetConnection" => "2",
					"addheader" => "2",
					"call" => "2",
					"close" => "2",
					"connect" => "2",
					"getDebugConfig" => "2",
					"getDebugID" => "2",
					"getService" => "2",
					"onStatus" => "2",
					"setCredentials" => "2",
					"setDebugID" => "2",
					"trace" => "2",
					"NetDebug" => "2",
					"trace" => "2",
					"NetDebugConfig" => "2",
					"getDebug" => "2",
					"setDebug" => "2",
					"NetServices" => "2",
					"createGatewayConnection" => "2",
					"setDefaultGatewayURL" => "2",
					"Netstream" => "2",
					"attachAudio" => "2",
					"attachVideo" => "2",
					"bufferLength" => "2",
					"bufferTime" => "2",
					"close" => "2",
					"pause" => "2",
					"play" => "2",
					"publish" => "2",
					"receiveAudio" => "2",
					"receiveVideo" => "2",
					"seek" => "2",
					"send" => "2",
					"setBufferTime" => "2",
					"time" => "2",
					"Number" => "2",
					"MAX_VALUE" => "2",
					"MIN_VALUE" => "2",
					"NaN" => "2",
					"NEGATIVE_INFINITY" => "2",
					"POSITIVE_INFINITY" => "2",
					"toString" => "2",
					"valueOf" => "2",
					"o" => "2",
					"domain" => "2",
					"close" => "2",
					"send" => "2",
					"connect" => "2",
					"constructor" => "2",
					"Object" => "2",
					"addProperty" => "2",
					"hasOwnProperty" => "2",
					"isPropertyEnumerable" => "2",
					"isPrototypeOf" => "2",
					"registerClass" => "2",
					"toLocaleString" => "2",
					"toString" => "2",
					"unwatch" => "2",
					"valueOf" => "2",
					"watch" => "2",
					"Recordset" => "2",
					"getColumnNames" => "2",
					"addView" => "2",
					"getLength" => "2",
					"getItemAt" => "2",
					"getItemID" => "2",
					"addItemAt" => "2",
					"addItem" => "2",
					"replaceItemAt" => "2",
					"setField" => "2",
					"removeItemAt" => "2",
					"removeAll" => "2",
					"sortItemsBy" => "2",
					"isLocal" => "2",
					"isFullyPopulated" => "2",
					"getNumberAvailable" => "2",
					"setDeliveryMode" => "2",
					"filter" => "2",
					"sort" => "2",
					"Selection" => "2",
					"addListener" => "2",
					"broadcastMessage" => "2",
					"getBeginIndex" => "2",
					"getCaretIndex" => "2",
					"getEndIndex" => "2",
					"getFocus" => "2",
					"onSetFocus" => "2",
					"removeListener" => "2",
					"setFocus" => "2",
					"setSelection" => "2",
					"ServiceObject" => "2",
					"functionName" => "2",
					"SharedObject" => "2",
					"clear" => "2",
					"close" => "2",
					"connect" => "2",
					"data" => "2",
					"deleteAll" => "2",
					"flush" => "2",
					"get" => "2",
					"getDiskUsage" => "2",
					"getLocal" => "2",
					"getProperty" => "2",
					"getPropertyName" => "2",
					"getRemote " => "2",
					"getSize" => "2",
					"handlerName" => "2",
					"lock" => "2",
					"name" => "2",
					"onStatus" => "2",
					"onSync" => "2",
					"purge" => "2",
					"resyncDepth" => "2",
					"send" => "2",
					"setFps" => "2",
					"setProperty" => "2",
					"size" => "2",
					"unlock" => "2",
					"version" => "2",
					"Sound" => "2",
					"attachSound" => "2",
					"duration" => "2",
					"getBytesLoaded" => "2",
					"getBytesTotal" => "2",
					"getDuration" => "2",
					"getPan" => "2",
					"getPosition" => "2",
					"getTransform" => "2",
					"getVolume" => "2",
					"id3" => "2",
					"album" => "2",
					"artist" => "2",
					"comment" => "2",
					"genre" => "2",
					"songname" => "2",
					"track" => "2",
					"year" => "2",
					"loadSound" => "2",
					"onLoad" => "2",
					"onSoundComplete" => "2",
					"position" => "2",
					"setDuration" => "2",
					"setPan" => "2",
					"setPosition" => "2",
					"setTransform" => "2",
					"setVolume" => "2",
					"start" => "2",
					"stop" => "2",
					"Stage" => "2",
					"addListener" => "2",
					"align" => "2",
					"broadcastMessage" => "2",
					"height" => "2",
					"onResize" => "2",
					"removeListener" => "2",
					"scaleMode" => "2",
					"showMenu" => "2",
					"width" => "2",
					"Stream" => "2",
					"bufferTime" => "2",
					"clear" => "2",
					"get" => "2",
					"length" => "2",
					"name" => "2",
					"onStatus" => "2",
					"play" => "2",
					"record" => "2",
					"send" => "2",
					"setBufferTime" => "2",
					"String" => "2",
					"charAt" => "2",
					"charCodeAt" => "2",
					"concat" => "2",
					"fromCharCode" => "2",
					"indexOf" => "2",
					"lastIndexOf" => "2",
					"length" => "2",
					"slice" => "2",
					"split" => "2",
					"substr" => "2",
					"substring" => "2",
					"toLowerCase" => "2",
					"toUpperCase" => "2",
					"System" => "2",
					"capabilities" => "2",
					"hasAudioEncoder" => "2",
					"hasAccesibility" => "2",
					"hasAudio" => "2",
					"hasEmbeddedVideo" => "2",
					"hasMP3" => "2",
					"hasPrinting" => "2",
					"hasStreamingVideo" => "2",
					"hasStreamingAudio" => "2",
					"hasVideoEncoder" => "2",
					"input" => "2",
					"isDebugger" => "2",
					"language" => "2",
					"manufacturer" => "2",
					"os" => "2",
					"pixelAspectRatio" => "2",
					"screenColor" => "2",
					"screenDPI" => "2",
					"screenResolution" => "2",
					"x" => "2",
					"y" => "2",
					"serverString" => "2",
					"version" => "2",
					"Product" => "2",
					"Download" => "2",
					"isInstalled" => "2",
					"isRunning" => "2",
					"Launch" => "2",
					"name" => "2",
					"security " => "2",
					"allowDomain" => "2",
					"ShowSettings" => "2",
					"showSettings" => "2",
					"TextField" => "2",
					"addListener" => "2",
					"autoSize" => "2",
					"background" => "2",
					"backgroundColor" => "2",
					"border" => "2",
					"borderColor" => "2",
					"bottomScroll" => "2",
					"condenseWhite" => "2",
					"embedFonts" => "2",
					"getDepth" => "2",
					"getFontList" => "2",
					"getNewTextFormat" => "2",
					"getTextFormat" => "2",
					"hscroll" => "2",
					"html" => "2",
					"htmlText" => "2",
					"length" => "2",
					"maxChars" => "2",
					"maxhscroll" => "2",
					"maxscroll" => "2",
					"multiline" => "2",
					"onChanged" => "2",
					"onKillFocus" => "2",
					"onScroller" => "2",
					"onSetFocus" => "2",
					"password" => "2",
					"removeListener" => "2",
					"removeTextField" => "2",
					"replaceSel" => "2",
					"restrict" => "2",
					"scroll" => "2",
					"selectable" => "2",
					"setNewTextFormat" => "2",
					"setTextFormat" => "2",
					"tabEnabled" => "2",
					"tabIndex" => "2",
					"text" => "2",
					"textColor" => "2",
					"textHeight" => "2",
					"textWidth" => "2",
					"type" => "2",
					"variable" => "2",
					"wordWrap" => "2",
					"TextFormat" => "2",
					"align" => "2",
					"blockIndent" => "2",
					"bold" => "2",
					"bullet" => "2",
					"color" => "2",
					"font" => "2",
					"getTextExtent" => "2",
					"indent" => "2",
					"italic" => "2",
					"leading" => "2",
					"leftMargin" => "2",
					"rightMargin" => "2",
					"size" => "2",
					"tabStops" => "2",
					"target" => "2",
					"underline" => "2",
					"url" => "2",
					"Video" => "2",
					"attachVideo" => "2",
					"clear" => "2",
					"deblocking" => "2",
					"height" => "2",
					"smoothing" => "2",
					"width" => "2",
					"XML" => "2",
					"appendChild" => "2",
					"attributes" => "2",
					"childNodes" => "2",
					"cloneNode" => "2",
					"contentType" => "2",
					"createElement" => "2",
					"createTextNode" => "2",
					"docTypeDecl" => "2",
					"firstChild" => "2",
					"getBytesLoaded" => "2",
					"getBytesTotal" => "2",
					"haschildNodes" => "2",
					"ignoreWhite" => "2",
					"init" => "2",
					"insertBefore" => "2",
					"lastChild" => "2",
					"load" => "2",
					"loaded" => "2",
					"nextSibling" => "2",
					"nodeName" => "2",
					"nodeType" => "2",
					"nodeValue" => "2",
					"onData" => "2",
					"onLoad" => "2",
					"parentNode" => "2",
					"parseXML" => "2",
					"previousSibling" => "2",
					"removeNode" => "2",
					"send" => "2",
					"sendAndLoad" => "2",
					"status" => "2",
					"toString" => "2",
					"xmlDecl" => "2",
					"XMLNode" => "2",
					"XMLSocket" => "2",
					"close" => "2",
					"connect" => "2",
					"onClose" => "2",
					"onConnect" => "2",
					"onData" => "2",
					"onXML" => "2",
					"send" => "2",

					#[Keywords 3]
					"_alpha" => "3",
					"_changed" => "3",
					"_currentframe" => "3",
					"_droptarget" => "3",
					"_flash" => "3",
					"_focusrect" => "3",
					"_framesloaded" => "3",
					"_global" => "3",
					"_height" => "3",
					"_highquality" => "3",
					"_level" => "3",
					"_listeners" => "3",
					"_name" => "3",
					"_parent" => "3",
					"__proto__" => "3",
					"_quality" => "3",
					"__resolve" => "3",
					"_root" => "3",
					"_rotation" => "3",
					"_soundbuftime" => "3",
					"_target" => "3",
					"_totalframes" => "3",
					"_url" => "3",
					"_visible" => "3",
					"_width" => "3",
					"_x" => "3",
					"_xmouse" => "3",
					"_xscale" => "3",
					"_y" => "3",
					"_ymouse" => "3",
					"_yscale" => "3"
			};

# Each category can specify a Perl function that takes in the function name, and returns a string
# to put in its place. This can be used to generate links, images, etc.

$self->{linkscripts}		= {
			"1"	=> "donothing",
			"2" => "donothing",
			"3" => "donothing"
	};

	return $self;
}


# DoNothing link function

sub donothing
{
my ( $self ) = @_;
return;
}
1;
